"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const client_1 = require("./client");
describe('Client', () => {
    const client = new client_1.Client({});
    const mockHandler = jest.fn((args) => Promise.resolve('success response'));
    const mockResolveRequestHandler = jest.fn((args) => mockHandler);
    const mockCommand = () => ({ resolveRequestHandler: mockResolveRequestHandler });
    beforeEach(() => {
        jest.clearAllMocks();
    });
    it('should return a response promise when only a command is supplied', async () => {
        await expect(client.call(mockCommand())).resolves.toEqual('success response');
    });
    it('should return a response promise when command and options are supplied', async () => {
        const options = { abortSignal: 'signal' };
        await expect(client.call(mockCommand(), options)).resolves.toEqual('success response');
        expect(mockResolveRequestHandler.mock.calls.length).toEqual(1);
        expect(mockResolveRequestHandler.mock.calls[0][1]).toEqual(options);
    });
});
