"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Command = void 0;
const httpRequest_1 = require("../httpRequest");
const urlParser_1 = require("../utils/urlParser");
const buildAmzTarget_1 = require("../utils/buildAmzTarget");
class Command {
    serialize(configuration) {
        return new httpRequest_1.HttpRequest({
            ...(0, urlParser_1.parseUrl)(configuration.endpoint),
            headers: {
                ...configuration.headers,
                ...(0, buildAmzTarget_1.buildAmzTarget)(this.clientMethod, configuration),
            },
            body: JSON.stringify(this.clientInput),
            frameWindow: configuration.frameWindow,
        });
    }
}
exports.Command = Command;
