"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAuthorizedWidgetsForUser = void 0;
const command_1 = require("./command");
const clientMethods_1 = require("../types/clientMethods");
const serviceIds_1 = require("../types/serviceIds");
class GetAuthorizedWidgetsForUser extends command_1.Command {
    constructor(clientInput) {
        super();
        this.clientInput = clientInput;
        this.clientMethod = clientMethods_1.ClientMethods.GetAuthorizedWidgetsForUser;
    }
    resolveRequestHandler(configuration, options) {
        const { requestHandler } = configuration;
        return () => requestHandler.handle(this.serialize(configuration), options || {});
    }
    serialize(configuration) {
        return super.serialize({
            ...configuration,
            serviceId: serviceIds_1.ServiceIds.AgentApp,
        });
    }
}
exports.GetAuthorizedWidgetsForUser = GetAuthorizedWidgetsForUser;
