"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetContact = void 0;
const command_1 = require("./command");
const clientMethods_1 = require("../types/clientMethods");
const serviceIds_1 = require("../types/serviceIds");
class GetContact extends command_1.Command {
    constructor(clientInput) {
        super();
        this.clientInput = clientInput;
        this.clientMethod = clientMethods_1.ClientMethods.GetContact;
    }
    resolveRequestHandler(configuration, options) {
        const { requestHandler } = configuration;
        return () => requestHandler.handle(this.serialize(configuration), options || {});
    }
    serialize(configuration) {
        const { awsAccountId, instanceId, contactId } = this.clientInput;
        if ((awsAccountId === undefined) || !awsAccountId.length) {
            throw new Error('Invalid awsAccountId.');
        }
        if ((instanceId === undefined) || !instanceId.length) {
            throw new Error('Invalid instanceId.');
        }
        if ((contactId === undefined) || !contactId.length) {
            throw new Error('Invalid contactId.');
        }
        return super.serialize({
            ...configuration,
            serviceId: serviceIds_1.ServiceIds.Lcms,
        });
    }
}
exports.GetContact = GetContact;
