"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getContact_1 = require("./getContact");
describe('GetContact', () => {
    let command;
    const awsAccountId = '85be2a14-94d7-41f2-835e-85368acb55df';
    const instanceId = 'b5b0e4af-026e-4472-9371-d171a9fdf75a';
    const contactId = '249bbb30-aede-42a8-be85-d8483c317686';
    it('should properly construct the command from the inputs provided', () => {
        command = new getContact_1.GetContact({
            awsAccountId,
            instanceId,
            contactId,
        });
        expect(command.clientMethod).toEqual('getContact');
        expect(command.clientInput).toEqual({
            awsAccountId,
            instanceId,
            contactId,
        });
    });
    it('should validate inputs when calling serialize', () => {
        command = new getContact_1.GetContact({});
        expect(() => command.serialize({})).toThrow('Invalid awsAccountId.');
        command = new getContact_1.GetContact({
            awsAccountId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid awsAccountId.');
        command = new getContact_1.GetContact({
            awsAccountId,
        });
        expect(() => command.serialize({})).toThrow('Invalid instanceId.');
        command = new getContact_1.GetContact({
            awsAccountId,
            instanceId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid instanceId.');
        command = new getContact_1.GetContact({
            awsAccountId,
            instanceId,
        });
        expect(() => command.serialize({})).toThrow('Invalid contactId.');
        command = new getContact_1.GetContact({
            awsAccountId,
            instanceId,
            contactId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid contactId.');
    });
});
