"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetContent = void 0;
const command_1 = require("./command");
const clientMethods_1 = require("../types/clientMethods");
class GetContent extends command_1.Command {
    constructor(clientInput) {
        super();
        this.clientInput = clientInput;
        this.clientMethod = clientMethods_1.ClientMethods.GetContent;
    }
    resolveRequestHandler(configuration, options) {
        const { requestHandler } = configuration;
        return () => requestHandler.handle(this.serialize(configuration), options || {});
    }
    serialize(configuration) {
        const { contentId, knowledgeBaseId } = this.clientInput;
        if ((contentId === undefined) || !contentId.length) {
            throw new Error('Invalid contentId.');
        }
        if ((knowledgeBaseId === undefined) || !knowledgeBaseId.length) {
            throw new Error('Invalid knowledgeBaseId.');
        }
        return super.serialize(configuration);
    }
}
exports.GetContent = GetContent;
