"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getContent_1 = require("./getContent");
describe('GetContent', () => {
    let command;
    const contentId = '85be2a14-94d7-41f2-835e-85368acb55df';
    const knowledgeBaseId = 'b5b0e4af-026e-4472-9371-d171a9fdf75a';
    it('should properly construct the command from the inputs provided', () => {
        command = new getContent_1.GetContent({
            contentId,
            knowledgeBaseId,
        });
        expect(command.clientMethod).toEqual('getContent');
        expect(command.clientInput).toEqual({
            contentId,
            knowledgeBaseId,
        });
    });
    it('should validate inputs when calling serialize', () => {
        command = new getContent_1.GetContent({});
        expect(() => command.serialize({})).toThrow('Invalid contentId.');
        command = new getContent_1.GetContent({
            contentId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid contentId.');
        command = new getContent_1.GetContent({
            contentId,
        });
        expect(() => command.serialize({})).toThrow('Invalid knowledgeBaseId.');
        command = new getContent_1.GetContent({
            contentId,
            knowledgeBaseId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid knowledgeBaseId.');
    });
});
