"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getRecommendations_1 = require("./getRecommendations");
describe('GetRecommendations', () => {
    let command;
    const assistantId = '85be2a14-94d7-41f2-835e-85368acb55df';
    const sessionId = 'b5b0e4af-026e-4472-9371-d171a9fdf75a';
    it('should properly construct the command from the inputs provided', () => {
        command = new getRecommendations_1.GetRecommendations({
            assistantId,
            sessionId,
        });
        expect(command.clientMethod).toEqual('getRecommendations');
        expect(command.clientInput).toEqual({
            assistantId,
            sessionId,
        });
    });
    it('should validate inputs when calling serialize', () => {
        command = new getRecommendations_1.GetRecommendations({});
        expect(() => command.serialize({})).toThrow('Invalid assistantId.');
        command = new getRecommendations_1.GetRecommendations({
            assistantId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid assistantId.');
        command = new getRecommendations_1.GetRecommendations({
            assistantId,
        });
        expect(() => command.serialize({})).toThrow('Invalid sessionId.');
        command = new getRecommendations_1.GetRecommendations({
            assistantId,
            sessionId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid sessionId.');
    });
});
