"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListIntegrationAssociations = void 0;
const command_1 = require("./command");
const clientMethods_1 = require("../types/clientMethods");
const serviceIds_1 = require("../types/serviceIds");
class ListIntegrationAssociations extends command_1.Command {
    constructor(clientInput) {
        super();
        this.clientInput = clientInput;
        this.clientMethod = clientMethods_1.ClientMethods.ListIntegrationAssociations;
    }
    resolveRequestHandler(configuration, options) {
        const { requestHandler } = configuration;
        return () => requestHandler.handle(this.serialize(configuration), options || {});
    }
    serialize(configuration) {
        const { InstanceId } = this.clientInput;
        if ((InstanceId === undefined) || !InstanceId.length) {
            throw new Error('Invalid InstanceId.');
        }
        return super.serialize({
            ...configuration,
            serviceId: serviceIds_1.ServiceIds.Acs,
        });
    }
}
exports.ListIntegrationAssociations = ListIntegrationAssociations;
