"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const listIntegrationAssociations_1 = require("./listIntegrationAssociations");
describe('ListIntegrationAssociations', () => {
    let command;
    const instanceId = '85be2a14-94d7-41f2-835e-85368acb55df';
    it('should properly construct the command from the inputs provided', () => {
        command = new listIntegrationAssociations_1.ListIntegrationAssociations({
            InstanceId: instanceId,
        });
        expect(command.clientMethod).toEqual('listIntegrationAssociations');
        expect(command.clientInput).toEqual({
            InstanceId: instanceId,
        });
    });
    it('should validate inputs when calling serialize', () => {
        command = new listIntegrationAssociations_1.ListIntegrationAssociations({});
        expect(() => command.serialize({})).toThrow('Invalid InstanceId.');
        command = new listIntegrationAssociations_1.ListIntegrationAssociations({
            InstanceId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid InstanceId.');
    });
});
