"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotifyRecommendationsReceived = void 0;
const command_1 = require("./command");
const clientMethods_1 = require("../types/clientMethods");
class NotifyRecommendationsReceived extends command_1.Command {
    constructor(clientInput) {
        super();
        this.clientInput = clientInput;
        this.clientMethod = clientMethods_1.ClientMethods.NotifyRecommendationsReceived;
    }
    resolveRequestHandler(configuration, options) {
        const { requestHandler } = configuration;
        return () => requestHandler.handle(this.serialize(configuration), options || {});
    }
    serialize(configuration) {
        const { assistantId, sessionId, recommendationIds } = this.clientInput;
        if ((assistantId === undefined) || !assistantId.length) {
            throw new Error('Invalid assistantId.');
        }
        if ((sessionId === undefined) || !sessionId.length) {
            throw new Error('Invalid sessionId.');
        }
        if ((recommendationIds === undefined) || !recommendationIds.length) {
            throw new Error('Invalid recommendationIds.');
        }
        return super.serialize(configuration);
    }
}
exports.NotifyRecommendationsReceived = NotifyRecommendationsReceived;
