"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const notifyRecommendationsReceived_1 = require("./notifyRecommendationsReceived");
describe('NotifyRecommendationsReceived', () => {
    let command;
    const assistantId = '85be2a14-94d7-41f2-835e-85368acb55df';
    const sessionId = 'b5b0e4af-026e-4472-9371-d171a9fdf75a';
    const recommendationIds = [
        '85be2a14-94d7-41f2-835e-85368acb55df',
        'b5b0e4af-026e-4472-9371-d171a9fdf75a',
    ];
    it('should properly construct the command from the inputs provided', () => {
        command = new notifyRecommendationsReceived_1.NotifyRecommendationsReceived({
            assistantId,
            sessionId,
            recommendationIds,
        });
        expect(command.clientMethod).toEqual('notifyRecommendationsReceived');
        expect(command.clientInput).toEqual({
            assistantId,
            sessionId,
            recommendationIds,
        });
    });
    it('should validate inputs when calling serialize', () => {
        command = new notifyRecommendationsReceived_1.NotifyRecommendationsReceived({});
        expect(() => command.serialize({})).toThrow('Invalid assistantId.');
        command = new notifyRecommendationsReceived_1.NotifyRecommendationsReceived({
            assistantId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid assistantId.');
        command = new notifyRecommendationsReceived_1.NotifyRecommendationsReceived({
            assistantId,
        });
        expect(() => command.serialize({})).toThrow('Invalid sessionId.');
        command = new notifyRecommendationsReceived_1.NotifyRecommendationsReceived({
            assistantId,
            sessionId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid sessionId.');
        command = new notifyRecommendationsReceived_1.NotifyRecommendationsReceived({
            assistantId,
            sessionId,
        });
        expect(() => command.serialize({})).toThrow('Invalid recommendationIds.');
        command = new notifyRecommendationsReceived_1.NotifyRecommendationsReceived({
            assistantId,
            sessionId,
            recommendationIds: [],
        });
        expect(() => command.serialize({})).toThrow('Invalid recommendationIds.');
    });
});
