"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryAssistant = void 0;
const command_1 = require("./command");
const clientMethods_1 = require("../types/clientMethods");
class QueryAssistant extends command_1.Command {
    constructor(clientInput) {
        super();
        this.clientInput = clientInput;
        this.clientMethod = clientMethods_1.ClientMethods.QueryAssistant;
    }
    resolveRequestHandler(configuration, options) {
        const { requestHandler } = configuration;
        return () => requestHandler.handle(this.serialize(configuration), options || {});
    }
    serialize(configuration) {
        const { assistantId, queryText } = this.clientInput;
        if ((assistantId === undefined) || !assistantId.length) {
            throw new Error('Invalid assistantId.');
        }
        if ((queryText === undefined) || !queryText.length) {
            throw new Error('Invalid queryText.');
        }
        return super.serialize(configuration);
    }
}
exports.QueryAssistant = QueryAssistant;
