"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const queryAssistant_1 = require("./queryAssistant");
describe('QueryAssistant', () => {
    let command;
    const assistantId = '85be2a14-94d7-41f2-835e-85368acb55df';
    const queryText = 'order';
    it('should properly construct the command from the inputs provided', () => {
        command = new queryAssistant_1.QueryAssistant({
            assistantId,
            queryText
        });
        expect(command.clientMethod).toEqual('queryAssistant');
        expect(command.clientInput).toEqual({
            assistantId,
            queryText,
        });
    });
    it('should validate inputs when calling serialize', () => {
        command = new queryAssistant_1.QueryAssistant({});
        expect(() => command.serialize({})).toThrow('Invalid assistantId.');
        command = new queryAssistant_1.QueryAssistant({
            assistantId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid assistantId.');
        command = new queryAssistant_1.QueryAssistant({
            assistantId,
        });
        expect(() => command.serialize({})).toThrow('Invalid queryText.');
        command = new queryAssistant_1.QueryAssistant({
            assistantId,
            queryText: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid queryText.');
    });
});
