"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchSessions = void 0;
const command_1 = require("./command");
const clientMethods_1 = require("../types/clientMethods");
class SearchSessions extends command_1.Command {
    constructor(clientInput) {
        super();
        this.clientInput = clientInput;
        this.clientMethod = clientMethods_1.ClientMethods.SearchSessions;
    }
    resolveRequestHandler(configuration, options) {
        const { requestHandler } = configuration;
        return () => requestHandler.handle(this.serialize(configuration), options || {});
    }
    serialize(configuration) {
        var _a;
        const { assistantId, searchExpression } = this.clientInput;
        if ((assistantId === undefined) || !assistantId.length) {
            throw new Error('Invalid assistantId.');
        }
        if ((searchExpression === undefined) || !(searchExpression === null || searchExpression === void 0 ? void 0 : searchExpression.filters) || !((_a = searchExpression === null || searchExpression === void 0 ? void 0 : searchExpression.filters) === null || _a === void 0 ? void 0 : _a.length)) {
            throw new Error('Invalid searchExpression.');
        }
        return super.serialize(configuration);
    }
}
exports.SearchSessions = SearchSessions;
