"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const searchSessions_1 = require("./searchSessions");
describe('SearchSessions', () => {
    let command;
    const assistantId = '85be2a14-94d7-41f2-835e-85368acb55df';
    const searchExpression = { filters: [], };
    it('should properly construct the command from the inputs provided', () => {
        command = new searchSessions_1.SearchSessions({
            assistantId,
            searchExpression,
        });
        expect(command.clientMethod).toEqual('searchSessions');
        expect(command.clientInput).toEqual({
            assistantId,
            searchExpression,
        });
    });
    it('should validate inputs when calling serialize', () => {
        command = new searchSessions_1.SearchSessions({});
        expect(() => command.serialize({})).toThrow('Invalid assistantId.');
        command = new searchSessions_1.SearchSessions({
            assistantId: '',
        });
        expect(() => command.serialize({})).toThrow('Invalid assistantId.');
        command = new searchSessions_1.SearchSessions({
            assistantId,
        });
        expect(() => command.serialize({})).toThrow('Invalid searchExpression.');
        command = new searchSessions_1.SearchSessions({
            assistantId,
            searchExpression: { filters: [], },
        });
        expect(() => command.serialize({})).toThrow('Invalid searchExpression.');
    });
});
