"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subscribeToChannel = exports.fetchWithChannel = void 0;
const appNames_1 = require("../types/appNames");
const fetchWithChannel = (destination, origin, data) => {
    return new Promise((resolve, reject) => {
        try {
            const channel = new MessageChannel();
            const { port1, port2 } = channel;
            port1.onmessage = (e) => {
                port1.close();
                resolve(e.data.data);
            };
            destination.postMessage({
                source: appNames_1.AppNames.WisdomJS,
                data,
            }, origin, [port2]);
        }
        catch (e) {
            reject(e);
        }
    });
};
exports.fetchWithChannel = fetchWithChannel;
const subscribeToChannel = (cb) => {
    if (window.location === window.parent.location)
        return;
    window.addEventListener('message', async (e) => {
        var _a;
        if (e.data.source !== appNames_1.AppNames.WisdomJS)
            return;
        if (((_a = e.source) === null || _a === void 0 ? void 0 : _a.location) !== ((window.top || window.parent).location))
            return;
        const port = e.ports[0];
        const { url, options } = e.data.data;
        const response = await cb(url, options);
        port.postMessage({
            source: appNames_1.AppNames.WisdomUI,
            data: response,
        });
    });
};
exports.subscribeToChannel = subscribeToChannel;
