"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRuntimeConfig = void 0;
const runtimeConfig_shared_1 = require("./runtimeConfig.shared");
const fetchHttpHandler_1 = require("../fetchHttpHandler");
const getDefaultHeaders_1 = require("./getDefaultHeaders");
const DEFAULT_MAX_ATTEMPTS = 3;
const getRuntimeConfig = (config) => {
    var _a, _b, _c;
    const sharedRuntimeConfig = (0, runtimeConfig_shared_1.getRuntimeConfig)(config);
    return {
        ...sharedRuntimeConfig,
        ...config,
        headers: (_a = config.headers) !== null && _a !== void 0 ? _a : (0, getDefaultHeaders_1.getDefaultHeaders)(sharedRuntimeConfig),
        maxAttempts: (_b = config.maxAttempts) !== null && _b !== void 0 ? _b : DEFAULT_MAX_ATTEMPTS,
        requestHandler: (_c = config.requestHandler) !== null && _c !== void 0 ? _c : new fetchHttpHandler_1.FetchHttpHandler(),
    };
};
exports.getRuntimeConfig = getRuntimeConfig;
