"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WisdomClient = void 0;
const client_1 = require("./client");
const commands_1 = require("./commands");
class WisdomClient extends client_1.Client {
    constructor(config) {
        super(config);
    }
    getAuthorizedWidgetsForUser(args, options) {
        const command = new commands_1.GetAuthorizedWidgetsForUser(args);
        return this.call(command, options);
    }
    getContent(args, options) {
        const command = new commands_1.GetContent(args);
        return this.call(command, options);
    }
    getRecommendations(args, options) {
        const command = new commands_1.GetRecommendations(args);
        return this.call(command, options);
    }
    listIntegrationAssociations(args, options) {
        const command = new commands_1.ListIntegrationAssociations(args);
        return this.call(command, options);
    }
    notifyRecommendationsReceived(args, options) {
        const command = new commands_1.NotifyRecommendationsReceived(args);
        return this.call(command, options);
    }
    queryAssistant(args, options) {
        const command = new commands_1.QueryAssistant(args);
        return this.call(command, options);
    }
    searchSessions(args, options) {
        const command = new commands_1.SearchSessions(args);
        return this.call(command, options);
    }
    getContact(args, options) {
        const command = new commands_1.GetContact(args);
        return this.call(command, options);
    }
}
exports.WisdomClient = WisdomClient;
