import { __awaiter, __generator } from "tslib";
import { getRuntimeConfig } from './utils/runtimeConfig.browser';
import { ServiceIds } from './types/serviceIds';
var Client = (function () {
    function Client(config) {
        var _this = this;
        var _config = getRuntimeConfig(config);
        this.config = _config;
        if (document.readyState === 'complete') {
            this.initFrameConduit();
        }
        else {
            document.addEventListener('readystatechange', function () {
                if (document.readyState === 'complete') {
                    _this.initFrameConduit();
                }
            });
        }
        this.config.requestHandler.setRuntimeConfig(this.config);
    }
    Client.prototype.initFrameConduit = function () {
        var _a, _b;
        if (this.config.frameWindow || this.config.instanceUrl.includes((_a = window === null || window === void 0 ? void 0 : window.location) === null || _a === void 0 ? void 0 : _a.origin))
            return;
        var iframe = document.querySelector('iframe[src*="wisdom-v2"]');
        if (iframe && iframe.contentWindow) {
            this.config.frameWindow = iframe;
        }
        else {
            try {
                var container = document.querySelector('wisdom-container');
                if (!container) {
                    container = document.createElement('div');
                    container.id = 'wisdom-container';
                    document.body.appendChild(container);
                }
                (_b = window === null || window === void 0 ? void 0 : window.connect) === null || _b === void 0 ? void 0 : _b.agentApp.initApp(ServiceIds.Wisdom, 'wisdom-container', "".concat(this.config.instanceUrl, "/wisdom-v2/?theme=hidden_page"), {
                    style: 'display: none',
                });
                this.config.frameWindow = document.getElementById(ServiceIds.Wisdom);
            }
            catch (e) {
                console.error('There was an error initializing Wisdom');
            }
        }
    };
    Client.prototype.call = function (command, options) {
        return __awaiter(this, void 0, void 0, function () {
            var handler;
            return __generator(this, function (_a) {
                handler = command.resolveRequestHandler(this.config, options);
                return [2, handler().then(function (response) { return response; })];
            });
        });
    };
    return Client;
}());
export { Client };
