import { __awaiter, __generator } from "tslib";
import { Client } from './client';
describe('Client', function () {
    var client = new Client({});
    var mockHandler = jest.fn(function (args) { return Promise.resolve('success response'); });
    var mockResolveRequestHandler = jest.fn(function (args) { return mockHandler; });
    var mockCommand = function () { return ({ resolveRequestHandler: mockResolveRequestHandler }); };
    beforeEach(function () {
        jest.clearAllMocks();
    });
    it('should return a response promise when only a command is supplied', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4, expect(client.call(mockCommand())).resolves.toEqual('success response')];
                case 1:
                    _a.sent();
                    return [2];
            }
        });
    }); });
    it('should return a response promise when command and options are supplied', function () { return __awaiter(void 0, void 0, void 0, function () {
        var options;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    options = { abortSignal: 'signal' };
                    return [4, expect(client.call(mockCommand(), options)).resolves.toEqual('success response')];
                case 1:
                    _a.sent();
                    expect(mockResolveRequestHandler.mock.calls.length).toEqual(1);
                    expect(mockResolveRequestHandler.mock.calls[0][1]).toEqual(options);
                    return [2];
            }
        });
    }); });
});
