import { __assign, __extends } from "tslib";
import { Command } from './command';
import { ClientMethods } from '../types/clientMethods';
import { ServiceIds } from '../types/serviceIds';
var GetContact = (function (_super) {
    __extends(GetContact, _super);
    function GetContact(clientInput) {
        var _this = _super.call(this) || this;
        _this.clientInput = clientInput;
        _this.clientMethod = ClientMethods.GetContact;
        return _this;
    }
    GetContact.prototype.resolveRequestHandler = function (configuration, options) {
        var _this = this;
        var requestHandler = configuration.requestHandler;
        return function () { return requestHandler.handle(_this.serialize(configuration), options || {}); };
    };
    GetContact.prototype.serialize = function (configuration) {
        var _a = this.clientInput, awsAccountId = _a.awsAccountId, instanceId = _a.instanceId, contactId = _a.contactId;
        if ((awsAccountId === undefined) || !awsAccountId.length) {
            throw new Error('Invalid awsAccountId.');
        }
        if ((instanceId === undefined) || !instanceId.length) {
            throw new Error('Invalid instanceId.');
        }
        if ((contactId === undefined) || !contactId.length) {
            throw new Error('Invalid contactId.');
        }
        return _super.prototype.serialize.call(this, __assign(__assign({}, configuration), { serviceId: ServiceIds.Lcms }));
    };
    return GetContact;
}(Command));
export { GetContact };
