import { GetContact } from './getContact';
describe('GetContact', function () {
    var command;
    var awsAccountId = '85be2a14-94d7-41f2-835e-85368acb55df';
    var instanceId = 'b5b0e4af-026e-4472-9371-d171a9fdf75a';
    var contactId = '249bbb30-aede-42a8-be85-d8483c317686';
    it('should properly construct the command from the inputs provided', function () {
        command = new GetContact({
            awsAccountId: awsAccountId,
            instanceId: instanceId,
            contactId: contactId,
        });
        expect(command.clientMethod).toEqual('getContact');
        expect(command.clientInput).toEqual({
            awsAccountId: awsAccountId,
            instanceId: instanceId,
            contactId: contactId,
        });
    });
    it('should validate inputs when calling serialize', function () {
        command = new GetContact({});
        expect(function () { return command.serialize({}); }).toThrow('Invalid awsAccountId.');
        command = new GetContact({
            awsAccountId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid awsAccountId.');
        command = new GetContact({
            awsAccountId: awsAccountId,
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid instanceId.');
        command = new GetContact({
            awsAccountId: awsAccountId,
            instanceId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid instanceId.');
        command = new GetContact({
            awsAccountId: awsAccountId,
            instanceId: instanceId,
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid contactId.');
        command = new GetContact({
            awsAccountId: awsAccountId,
            instanceId: instanceId,
            contactId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid contactId.');
    });
});
