import { __extends } from "tslib";
import { Command } from './command';
import { ClientMethods } from '../types/clientMethods';
var GetContent = (function (_super) {
    __extends(GetContent, _super);
    function GetContent(clientInput) {
        var _this = _super.call(this) || this;
        _this.clientInput = clientInput;
        _this.clientMethod = ClientMethods.GetContent;
        return _this;
    }
    GetContent.prototype.resolveRequestHandler = function (configuration, options) {
        var _this = this;
        var requestHandler = configuration.requestHandler;
        return function () { return requestHandler.handle(_this.serialize(configuration), options || {}); };
    };
    GetContent.prototype.serialize = function (configuration) {
        var _a = this.clientInput, contentId = _a.contentId, knowledgeBaseId = _a.knowledgeBaseId;
        if ((contentId === undefined) || !contentId.length) {
            throw new Error('Invalid contentId.');
        }
        if ((knowledgeBaseId === undefined) || !knowledgeBaseId.length) {
            throw new Error('Invalid knowledgeBaseId.');
        }
        return _super.prototype.serialize.call(this, configuration);
    };
    return GetContent;
}(Command));
export { GetContent };
