import { GetContent } from './getContent';
describe('GetContent', function () {
    var command;
    var contentId = '85be2a14-94d7-41f2-835e-85368acb55df';
    var knowledgeBaseId = 'b5b0e4af-026e-4472-9371-d171a9fdf75a';
    it('should properly construct the command from the inputs provided', function () {
        command = new GetContent({
            contentId: contentId,
            knowledgeBaseId: knowledgeBaseId,
        });
        expect(command.clientMethod).toEqual('getContent');
        expect(command.clientInput).toEqual({
            contentId: contentId,
            knowledgeBaseId: knowledgeBaseId,
        });
    });
    it('should validate inputs when calling serialize', function () {
        command = new GetContent({});
        expect(function () { return command.serialize({}); }).toThrow('Invalid contentId.');
        command = new GetContent({
            contentId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid contentId.');
        command = new GetContent({
            contentId: contentId,
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid knowledgeBaseId.');
        command = new GetContent({
            contentId: contentId,
            knowledgeBaseId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid knowledgeBaseId.');
    });
});
