import { __extends } from "tslib";
import { Command } from './command';
import { ClientMethods } from '../types/clientMethods';
var GetRecommendations = (function (_super) {
    __extends(GetRecommendations, _super);
    function GetRecommendations(clientInput) {
        var _this = _super.call(this) || this;
        _this.clientInput = clientInput;
        _this.clientMethod = ClientMethods.GetRecommendations;
        return _this;
    }
    GetRecommendations.prototype.resolveRequestHandler = function (configuration, options) {
        var _this = this;
        var requestHandler = configuration.requestHandler;
        return function () { return requestHandler.handle(_this.serialize(configuration), options || {}); };
    };
    GetRecommendations.prototype.serialize = function (configuration) {
        var _a = this.clientInput, assistantId = _a.assistantId, sessionId = _a.sessionId;
        if ((assistantId === undefined) || !assistantId.length) {
            throw new Error('Invalid assistantId.');
        }
        if ((sessionId === undefined) || !sessionId.length) {
            throw new Error('Invalid sessionId.');
        }
        return _super.prototype.serialize.call(this, configuration);
    };
    return GetRecommendations;
}(Command));
export { GetRecommendations };
