import { GetRecommendations } from './getRecommendations';
describe('GetRecommendations', function () {
    var command;
    var assistantId = '85be2a14-94d7-41f2-835e-85368acb55df';
    var sessionId = 'b5b0e4af-026e-4472-9371-d171a9fdf75a';
    it('should properly construct the command from the inputs provided', function () {
        command = new GetRecommendations({
            assistantId: assistantId,
            sessionId: sessionId,
        });
        expect(command.clientMethod).toEqual('getRecommendations');
        expect(command.clientInput).toEqual({
            assistantId: assistantId,
            sessionId: sessionId,
        });
    });
    it('should validate inputs when calling serialize', function () {
        command = new GetRecommendations({});
        expect(function () { return command.serialize({}); }).toThrow('Invalid assistantId.');
        command = new GetRecommendations({
            assistantId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid assistantId.');
        command = new GetRecommendations({
            assistantId: assistantId,
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid sessionId.');
        command = new GetRecommendations({
            assistantId: assistantId,
            sessionId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid sessionId.');
    });
});
