import { __assign, __extends } from "tslib";
import { Command } from './command';
import { ClientMethods } from '../types/clientMethods';
import { ServiceIds } from '../types/serviceIds';
var ListIntegrationAssociations = (function (_super) {
    __extends(ListIntegrationAssociations, _super);
    function ListIntegrationAssociations(clientInput) {
        var _this = _super.call(this) || this;
        _this.clientInput = clientInput;
        _this.clientMethod = ClientMethods.ListIntegrationAssociations;
        return _this;
    }
    ListIntegrationAssociations.prototype.resolveRequestHandler = function (configuration, options) {
        var _this = this;
        var requestHandler = configuration.requestHandler;
        return function () { return requestHandler.handle(_this.serialize(configuration), options || {}); };
    };
    ListIntegrationAssociations.prototype.serialize = function (configuration) {
        var InstanceId = this.clientInput.InstanceId;
        if ((InstanceId === undefined) || !InstanceId.length) {
            throw new Error('Invalid InstanceId.');
        }
        return _super.prototype.serialize.call(this, __assign(__assign({}, configuration), { serviceId: ServiceIds.Acs }));
    };
    return ListIntegrationAssociations;
}(Command));
export { ListIntegrationAssociations };
