import { __extends } from "tslib";
import { Command } from './command';
import { ClientMethods } from '../types/clientMethods';
var NotifyRecommendationsReceived = (function (_super) {
    __extends(NotifyRecommendationsReceived, _super);
    function NotifyRecommendationsReceived(clientInput) {
        var _this = _super.call(this) || this;
        _this.clientInput = clientInput;
        _this.clientMethod = ClientMethods.NotifyRecommendationsReceived;
        return _this;
    }
    NotifyRecommendationsReceived.prototype.resolveRequestHandler = function (configuration, options) {
        var _this = this;
        var requestHandler = configuration.requestHandler;
        return function () { return requestHandler.handle(_this.serialize(configuration), options || {}); };
    };
    NotifyRecommendationsReceived.prototype.serialize = function (configuration) {
        var _a = this.clientInput, assistantId = _a.assistantId, sessionId = _a.sessionId, recommendationIds = _a.recommendationIds;
        if ((assistantId === undefined) || !assistantId.length) {
            throw new Error('Invalid assistantId.');
        }
        if ((sessionId === undefined) || !sessionId.length) {
            throw new Error('Invalid sessionId.');
        }
        if ((recommendationIds === undefined) || !recommendationIds.length) {
            throw new Error('Invalid recommendationIds.');
        }
        return _super.prototype.serialize.call(this, configuration);
    };
    return NotifyRecommendationsReceived;
}(Command));
export { NotifyRecommendationsReceived };
