import { NotifyRecommendationsReceived } from './notifyRecommendationsReceived';
describe('NotifyRecommendationsReceived', function () {
    var command;
    var assistantId = '85be2a14-94d7-41f2-835e-85368acb55df';
    var sessionId = 'b5b0e4af-026e-4472-9371-d171a9fdf75a';
    var recommendationIds = [
        '85be2a14-94d7-41f2-835e-85368acb55df',
        'b5b0e4af-026e-4472-9371-d171a9fdf75a',
    ];
    it('should properly construct the command from the inputs provided', function () {
        command = new NotifyRecommendationsReceived({
            assistantId: assistantId,
            sessionId: sessionId,
            recommendationIds: recommendationIds,
        });
        expect(command.clientMethod).toEqual('notifyRecommendationsReceived');
        expect(command.clientInput).toEqual({
            assistantId: assistantId,
            sessionId: sessionId,
            recommendationIds: recommendationIds,
        });
    });
    it('should validate inputs when calling serialize', function () {
        command = new NotifyRecommendationsReceived({});
        expect(function () { return command.serialize({}); }).toThrow('Invalid assistantId.');
        command = new NotifyRecommendationsReceived({
            assistantId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid assistantId.');
        command = new NotifyRecommendationsReceived({
            assistantId: assistantId,
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid sessionId.');
        command = new NotifyRecommendationsReceived({
            assistantId: assistantId,
            sessionId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid sessionId.');
        command = new NotifyRecommendationsReceived({
            assistantId: assistantId,
            sessionId: sessionId,
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid recommendationIds.');
        command = new NotifyRecommendationsReceived({
            assistantId: assistantId,
            sessionId: sessionId,
            recommendationIds: [],
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid recommendationIds.');
    });
});
