import { __extends } from "tslib";
import { Command } from './command';
import { ClientMethods } from '../types/clientMethods';
var QueryAssistant = (function (_super) {
    __extends(QueryAssistant, _super);
    function QueryAssistant(clientInput) {
        var _this = _super.call(this) || this;
        _this.clientInput = clientInput;
        _this.clientMethod = ClientMethods.QueryAssistant;
        return _this;
    }
    QueryAssistant.prototype.resolveRequestHandler = function (configuration, options) {
        var _this = this;
        var requestHandler = configuration.requestHandler;
        return function () { return requestHandler.handle(_this.serialize(configuration), options || {}); };
    };
    QueryAssistant.prototype.serialize = function (configuration) {
        var _a = this.clientInput, assistantId = _a.assistantId, queryText = _a.queryText;
        if ((assistantId === undefined) || !assistantId.length) {
            throw new Error('Invalid assistantId.');
        }
        if ((queryText === undefined) || !queryText.length) {
            throw new Error('Invalid queryText.');
        }
        return _super.prototype.serialize.call(this, configuration);
    };
    return QueryAssistant;
}(Command));
export { QueryAssistant };
