import { QueryAssistant } from './queryAssistant';
describe('QueryAssistant', function () {
    var command;
    var assistantId = '85be2a14-94d7-41f2-835e-85368acb55df';
    var queryText = 'order';
    it('should properly construct the command from the inputs provided', function () {
        command = new QueryAssistant({
            assistantId: assistantId,
            queryText: queryText
        });
        expect(command.clientMethod).toEqual('queryAssistant');
        expect(command.clientInput).toEqual({
            assistantId: assistantId,
            queryText: queryText,
        });
    });
    it('should validate inputs when calling serialize', function () {
        command = new QueryAssistant({});
        expect(function () { return command.serialize({}); }).toThrow('Invalid assistantId.');
        command = new QueryAssistant({
            assistantId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid assistantId.');
        command = new QueryAssistant({
            assistantId: assistantId,
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid queryText.');
        command = new QueryAssistant({
            assistantId: assistantId,
            queryText: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid queryText.');
    });
});
