import { __extends } from "tslib";
import { Command } from './command';
import { ClientMethods } from '../types/clientMethods';
var SearchSessions = (function (_super) {
    __extends(SearchSessions, _super);
    function SearchSessions(clientInput) {
        var _this = _super.call(this) || this;
        _this.clientInput = clientInput;
        _this.clientMethod = ClientMethods.SearchSessions;
        return _this;
    }
    SearchSessions.prototype.resolveRequestHandler = function (configuration, options) {
        var _this = this;
        var requestHandler = configuration.requestHandler;
        return function () { return requestHandler.handle(_this.serialize(configuration), options || {}); };
    };
    SearchSessions.prototype.serialize = function (configuration) {
        var _a;
        var _b = this.clientInput, assistantId = _b.assistantId, searchExpression = _b.searchExpression;
        if ((assistantId === undefined) || !assistantId.length) {
            throw new Error('Invalid assistantId.');
        }
        if ((searchExpression === undefined) || !(searchExpression === null || searchExpression === void 0 ? void 0 : searchExpression.filters) || !((_a = searchExpression === null || searchExpression === void 0 ? void 0 : searchExpression.filters) === null || _a === void 0 ? void 0 : _a.length)) {
            throw new Error('Invalid searchExpression.');
        }
        return _super.prototype.serialize.call(this, configuration);
    };
    return SearchSessions;
}(Command));
export { SearchSessions };
