import { SearchSessions } from './searchSessions';
describe('SearchSessions', function () {
    var command;
    var assistantId = '85be2a14-94d7-41f2-835e-85368acb55df';
    var searchExpression = { filters: [], };
    it('should properly construct the command from the inputs provided', function () {
        command = new SearchSessions({
            assistantId: assistantId,
            searchExpression: searchExpression,
        });
        expect(command.clientMethod).toEqual('searchSessions');
        expect(command.clientInput).toEqual({
            assistantId: assistantId,
            searchExpression: searchExpression,
        });
    });
    it('should validate inputs when calling serialize', function () {
        command = new SearchSessions({});
        expect(function () { return command.serialize({}); }).toThrow('Invalid assistantId.');
        command = new SearchSessions({
            assistantId: '',
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid assistantId.');
        command = new SearchSessions({
            assistantId: assistantId,
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid searchExpression.');
        command = new SearchSessions({
            assistantId: assistantId,
            searchExpression: { filters: [], },
        });
        expect(function () { return command.serialize({}); }).toThrow('Invalid searchExpression.');
    });
});
