import { __read } from "tslib";
import { WisdomMethods, AgentAppMethods, AcsMethods, LcmsMethods } from '../types/clientMethods';
import { WidgetServices } from '../types/widgetServices';
export var buildAmzTarget = function (clientMethod, _a) {
    var serviceId = _a.serviceId;
    return {
        'x-amz-target': "AgentAppService.".concat(WidgetServices[serviceId], ".").concat(clientMethod),
    };
};
export var parseAmzTarget = function (xAmzTarget) {
    var _a = __read((xAmzTarget === null || xAmzTarget === void 0 ? void 0 : xAmzTarget.split('.')) || [], 3), prefix = _a[0], widgetService = _a[1], clientMethod = _a[2];
    if (!prefix || prefix !== 'AgentAppService') {
        throw new Error('Unsupported service prefix.');
    }
    if (!widgetService || !Object.values(WidgetServices).includes(widgetService)) {
        throw new Error('Unsupported service.');
    }
    var serviceMethods;
    switch (widgetService) {
        case WidgetServices.Wisdom:
            serviceMethods = WisdomMethods;
            break;
        case WidgetServices.AgentApp:
            serviceMethods = AgentAppMethods;
            break;
        case WidgetServices.Acs:
            serviceMethods = AcsMethods;
            break;
        case WidgetServices.Lcms:
            serviceMethods = LcmsMethods;
            break;
    }
    if (!clientMethod || !Object.values(serviceMethods).includes(clientMethod)) {
        throw new Error('Unsupported client method.');
    }
    return clientMethod;
};
