import { __awaiter, __generator } from "tslib";
import { AppNames } from '../types/appNames';
export var fetchWithChannel = function (destination, origin, data) {
    return new Promise(function (resolve, reject) {
        try {
            var channel = new MessageChannel();
            var port1_1 = channel.port1, port2 = channel.port2;
            port1_1.onmessage = function (e) {
                port1_1.close();
                resolve(e.data.data);
            };
            destination.postMessage({
                source: AppNames.WisdomJS,
                data: data,
            }, origin, [port2]);
        }
        catch (e) {
            reject(e);
        }
    });
};
export var subscribeToChannel = function (cb) {
    if (window.location === window.parent.location)
        return;
    window.addEventListener('message', function (e) { return __awaiter(void 0, void 0, void 0, function () {
        var port, _a, url, options, response;
        var _b;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    if (e.data.source !== AppNames.WisdomJS)
                        return [2];
                    if (((_b = e.source) === null || _b === void 0 ? void 0 : _b.location) !== ((window.top || window.parent).location))
                        return [2];
                    port = e.ports[0];
                    _a = e.data.data, url = _a.url, options = _a.options;
                    return [4, cb(url, options)];
                case 1:
                    response = _c.sent();
                    port.postMessage({
                        source: AppNames.WisdomUI,
                        data: response,
                    });
                    return [2];
            }
        });
    }); });
};
