import { __extends } from "tslib";
import { Client } from './client';
import { GetAuthorizedWidgetsForUser, GetContent, GetRecommendations, ListIntegrationAssociations, NotifyRecommendationsReceived, QueryAssistant, SearchSessions, GetContact, } from './commands';
var WisdomClient = (function (_super) {
    __extends(WisdomClient, _super);
    function WisdomClient(config) {
        return _super.call(this, config) || this;
    }
    WisdomClient.prototype.getAuthorizedWidgetsForUser = function (args, options) {
        var command = new GetAuthorizedWidgetsForUser(args);
        return this.call(command, options);
    };
    WisdomClient.prototype.getContent = function (args, options) {
        var command = new GetContent(args);
        return this.call(command, options);
    };
    WisdomClient.prototype.getRecommendations = function (args, options) {
        var command = new GetRecommendations(args);
        return this.call(command, options);
    };
    WisdomClient.prototype.listIntegrationAssociations = function (args, options) {
        var command = new ListIntegrationAssociations(args);
        return this.call(command, options);
    };
    WisdomClient.prototype.notifyRecommendationsReceived = function (args, options) {
        var command = new NotifyRecommendationsReceived(args);
        return this.call(command, options);
    };
    WisdomClient.prototype.queryAssistant = function (args, options) {
        var command = new QueryAssistant(args);
        return this.call(command, options);
    };
    WisdomClient.prototype.searchSessions = function (args, options) {
        var command = new SearchSessions(args);
        return this.call(command, options);
    };
    WisdomClient.prototype.getContact = function (args, options) {
        var command = new GetContact(args);
        return this.call(command, options);
    };
    return WisdomClient;
}(Client));
export { WisdomClient };
