import { Client as $Client } from './types/client';
import { Command } from './types/command';
import { RequestHandler } from './types/requestHandler';
import { HttpHeaders, HttpResponse, HttpHandlerOptions } from './types/http';
import { Logger } from './types/logger';
import { ServiceIds } from './types/serviceIds';
import { CallSources } from './types/callSources';
export interface ClientResolvedConfig {
    callSource: CallSources;
    endpoint: string;
    headers: HttpHeaders;
    instanceUrl: string;
    logger: Logger;
    maxAttempts: number;
    requestHandler: RequestHandler<any, any, HttpHandlerOptions>;
    serviceId: ServiceIds;
    frameWindow?: HTMLIFrameElement;
}
export type ClientConfiguration = Partial<ClientResolvedConfig>;
export declare class Client<HandlerOptions, ClientInput extends object, ClientOutput extends object, ClientConfig extends ClientResolvedConfig> implements $Client<ClientInput, ClientOutput, ClientConfig> {
    readonly config: ClientConfig;
    constructor(config: ClientConfiguration);
    initFrameConduit(): void;
    call<InputType extends ClientInput, OutputType extends ClientOutput>(command: Command<ClientInput, InputType, ClientOutput, OutputType, ClientConfig>, options?: HandlerOptions): Promise<HttpResponse<OutputType>>;
}
