import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { Command as $Command, InvokeFunction } from '../types/command';
import { ClientMethods } from '../types/clientMethods';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export declare abstract class Command<Input extends ClientInput, Output extends ClientOutput, ClientConfiguration, ClientInput extends object = any, ClientOutput extends object = any> implements $Command<ClientInput, Input, ClientOutput, Output, ClientConfiguration> {
    abstract clientInput: Input;
    abstract clientMethod: ClientMethods;
    abstract resolveRequestHandler(configuration: ClientConfiguration, options: HttpHandlerOptions): InvokeFunction<HttpResponse<Output>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
