import { Command } from './command';
import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { GetAuthorizedWidgetsForUserRequest, GetAuthorizedWidgetsForUserResponse } from '../types/models';
import { ClientMethods } from '../types/clientMethods';
import { InvokeFunction } from '../types/command';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export interface GetAuthorizedWidgetsForUserInput extends GetAuthorizedWidgetsForUserRequest {
}
export interface GetAuthorizedWidgetsForUserOutput extends GetAuthorizedWidgetsForUserResponse {
}
export declare class GetAuthorizedWidgetsForUser extends Command<GetAuthorizedWidgetsForUserInput, GetAuthorizedWidgetsForUserOutput, WisdomClientResolvedConfig> {
    readonly clientInput: GetAuthorizedWidgetsForUserInput;
    readonly clientMethod: ClientMethods;
    constructor(clientInput: GetAuthorizedWidgetsForUserInput);
    resolveRequestHandler(configuration: WisdomClientResolvedConfig, options: HttpHandlerOptions): InvokeFunction<HttpResponse<GetAuthorizedWidgetsForUserOutput>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
