import { Command } from './command';
import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { GetContactRequest, GetContactResponse } from '../types/models';
import { ClientMethods } from '../types/clientMethods';
import { InvokeFunction } from '../types/command';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export interface GetContactInput extends GetContactRequest {
}
export interface GetContactOutput extends GetContactResponse {
}
export declare class GetContact extends Command<GetContactInput, GetContactOutput, WisdomClientResolvedConfig> {
    readonly clientInput: GetContactInput;
    readonly clientMethod: ClientMethods;
    constructor(clientInput: GetContactInput);
    resolveRequestHandler(configuration: WisdomClientResolvedConfig, options: HttpHandlerOptions): InvokeFunction<HttpResponse<GetContactOutput>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
