import { Command } from './command';
import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { GetContentRequest, GetContentResponse } from '../types/models';
import { ClientMethods } from '../types/clientMethods';
import { InvokeFunction } from '../types/command';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export interface GetContentInput extends GetContentRequest {
}
export interface GetContentOutput extends GetContentResponse {
}
export declare class GetContent extends Command<GetContentInput, GetContentOutput, WisdomClientResolvedConfig> {
    readonly clientInput: GetContentInput;
    readonly clientMethod: ClientMethods;
    constructor(clientInput: GetContentInput);
    resolveRequestHandler(configuration: WisdomClientResolvedConfig, options: HttpHandlerOptions): InvokeFunction<HttpResponse<GetContentOutput>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
