import { Command } from './command';
import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { GetRecommendationsRequest, GetRecommendationsResponse } from '../types/models';
import { ClientMethods } from '../types/clientMethods';
import { InvokeFunction } from '../types/command';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export interface GetRecommendationsInput extends GetRecommendationsRequest {
}
export interface GetRecommendationsOutput extends GetRecommendationsResponse {
}
export declare class GetRecommendations extends Command<GetRecommendationsInput, GetRecommendationsOutput, WisdomClientResolvedConfig> {
    readonly clientInput: GetRecommendationsInput;
    readonly clientMethod: ClientMethods;
    constructor(clientInput: GetRecommendationsInput);
    resolveRequestHandler(configuration: WisdomClientResolvedConfig, options: HttpHandlerOptions): InvokeFunction<HttpResponse<GetRecommendationsOutput>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
