import { Command } from './command';
import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { ListIntegrationAssociationsRequest, ListIntegrationAssociationsResponse } from '../types/models';
import { ClientMethods } from '../types/clientMethods';
import { InvokeFunction } from '../types/command';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export interface ListIntegrationAssociationsInput extends ListIntegrationAssociationsRequest {
}
export interface ListIntegrationAssociationsOutput extends ListIntegrationAssociationsResponse {
}
export declare class ListIntegrationAssociations extends Command<ListIntegrationAssociationsInput, ListIntegrationAssociationsOutput, WisdomClientResolvedConfig> {
    readonly clientInput: ListIntegrationAssociationsInput;
    readonly clientMethod: ClientMethods;
    constructor(clientInput: ListIntegrationAssociationsInput);
    resolveRequestHandler(configuration: WisdomClientResolvedConfig, options: HttpHandlerOptions): InvokeFunction<HttpResponse<ListIntegrationAssociationsOutput>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
