import { Command } from './command';
import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { NotifyRecommendationsReceivedRequest, NotifyRecommendationsReceivedResponse } from '../types/models';
import { ClientMethods } from '../types/clientMethods';
import { InvokeFunction } from '../types/command';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export interface NotifyRecommendationsReceivedInput extends NotifyRecommendationsReceivedRequest {
}
export interface NotifyRecommendationsReceivedOutput extends NotifyRecommendationsReceivedResponse {
}
export declare class NotifyRecommendationsReceived extends Command<NotifyRecommendationsReceivedInput, NotifyRecommendationsReceivedOutput, WisdomClientResolvedConfig> {
    readonly clientInput: NotifyRecommendationsReceivedInput;
    readonly clientMethod: ClientMethods;
    constructor(clientInput: NotifyRecommendationsReceivedInput);
    resolveRequestHandler(configuration: WisdomClientResolvedConfig, options: HttpHandlerOptions): InvokeFunction<HttpResponse<NotifyRecommendationsReceivedOutput>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
