import { Command } from './command';
import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { QueryAssistantRequest, QueryAssistantResponse } from '../types/models';
import { ClientMethods } from '../types/clientMethods';
import { InvokeFunction } from '../types/command';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export interface QueryAssistantInput extends QueryAssistantRequest {
}
export interface QueryAssistantOutput extends QueryAssistantResponse {
}
export declare class QueryAssistant extends Command<QueryAssistantInput, QueryAssistantOutput, WisdomClientResolvedConfig> {
    readonly clientInput: QueryAssistantInput;
    readonly clientMethod: ClientMethods;
    constructor(clientInput: QueryAssistantInput);
    resolveRequestHandler(configuration: WisdomClientResolvedConfig, options: HttpHandlerOptions): InvokeFunction<HttpResponse<QueryAssistantOutput>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
