import { Command } from './command';
import { WisdomClientResolvedConfig } from '../wisdomClient';
import { HttpRequest } from '../httpRequest';
import { SearchSessionsRequest, SearchSessionsResponse } from '../types/models';
import { ClientMethods } from '../types/clientMethods';
import { InvokeFunction } from '../types/command';
import { HttpResponse, HttpHandlerOptions } from '../types/http';
export interface SearchSessionsInput extends SearchSessionsRequest {
}
export interface SearchSessionsOutput extends SearchSessionsResponse {
}
export declare class SearchSessions extends Command<SearchSessionsInput, SearchSessionsOutput, WisdomClientResolvedConfig> {
    readonly clientInput: SearchSessionsInput;
    readonly clientMethod: ClientMethods;
    constructor(clientInput: SearchSessionsInput);
    resolveRequestHandler(configuration: WisdomClientResolvedConfig, options: HttpHandlerOptions): InvokeFunction<HttpResponse<SearchSessionsOutput>>;
    serialize(configuration: WisdomClientResolvedConfig): HttpRequest;
}
