import { WisdomClientResolvedConfig } from './wisdomClient';
import { HttpRequestOptions } from './httpRequest';
import { HttpResponse, HttpHandlerOptions } from './types/http';
import { RequestHandler } from './types/requestHandler';
export interface FetchHttpHandlerOptions {
    requestTimeout?: number;
}
export declare class FetchHttpHandler implements RequestHandler<HttpRequestOptions, HttpResponse<any>, HttpHandlerOptions> {
    private runtimeConfig?;
    private config?;
    constructor(config?: FetchHttpHandlerOptions);
    setRuntimeConfig(config: WisdomClientResolvedConfig): void;
    responseHandler(response: any): Promise<HttpResponse<any>>;
    channelRequestHandler(_: string, options: RequestInit): Promise<HttpResponse<any>>;
    fetchRequestHandler(url: string, options: RequestInit): Promise<HttpResponse<any>>;
    fetchRequest(url: string, options: RequestInit, frameWindow?: HTMLIFrameElement): Promise<HttpResponse<any>>;
    requestTimeout(timeoutInMs?: number): Promise<never>;
    abortRequest(abortSignal?: AbortSignal): Promise<never>;
    handle(request: HttpRequestOptions, options?: HttpHandlerOptions): Promise<HttpResponse<any>>;
}
