import { HttpRequest as $HttpRequest, HttpEndpoint, HttpHeaders, HttpMessage, HttpQueryParameters } from './types/http';
export type HttpRequestOptions = Partial<HttpEndpoint> & Partial<HttpMessage> & {
    method?: string;
    frameWindow?: HTMLIFrameElement;
};
export declare class HttpRequest implements $HttpRequest {
    method: string;
    protocol: string;
    hostname: string;
    port?: number;
    path: string;
    query: HttpQueryParameters;
    headers: HttpHeaders;
    body?: any;
    frameWindow?: HTMLIFrameElement;
    constructor(options: HttpRequestOptions);
}
