import { ClientMethods } from './clientMethods';
import { HttpResponse } from '../types/http';
import { GetAuthorizedWidgetsForUser, GetContent, GetRecommendations, ListIntegrationAssociations, NotifyRecommendationsReceived, QueryAssistant, SearchSessions, GetContact } from '../commands';
export interface InvokeFunction<OutputTypes extends object> {
    (): Promise<OutputTypes>;
}
export interface Command<ClientInput extends object, InputType extends ClientInput, ClientOutput extends object, OutputType extends ClientOutput, ClientConfiguration> {
    readonly clientInput: InputType;
    readonly clientMethod: ClientMethods;
    resolveRequestHandler(configuration: ClientConfiguration, options: any): InvokeFunction<HttpResponse<OutputType>>;
}
export declare const Commands: {
    getAuthorizedWidgetsForUser: typeof GetAuthorizedWidgetsForUser;
    getContent: typeof GetContent;
    getRecommendations: typeof GetRecommendations;
    listIntegrationAssociations: typeof ListIntegrationAssociations;
    notifyRecommendationsReceived: typeof NotifyRecommendationsReceived;
    queryAssistant: typeof QueryAssistant;
    searchSessions: typeof SearchSessions;
    getContact: typeof GetContact;
};
