export interface HttpHeaders {
    [key: string]: string;
}
export interface HttpQueryParameters {
    [key: string]: string | Array<string> | null;
}
export interface HttpStatus {
    status: number;
    statusText?: string;
    ok?: boolean;
}
export interface HttpMessage {
    headers: HttpHeaders;
    body?: any;
}
export interface HttpEndpoint {
    protocol: string;
    hostname: string;
    port?: number;
    path: string;
    query?: HttpQueryParameters;
}
export interface HttpRequest extends HttpEndpoint, HttpMessage {
    method: string;
}
export interface HttpResponse<OutputType> extends HttpMessage, HttpStatus {
    body?: OutputType;
}
export interface HttpHandlerOptions {
    abortSignal?: AbortSignal;
}
